#!/usr/bin/env python
# -*- coding: utf-8 -*- #
from __future__ import unicode_literals
import os
import sys

sys.path.append(os.curdir)
from globalconf import *

AUTHOR = "Benjamin Bertrand"
SITENAME = "Opytex"
SITETITLE = "Opytex"
SITESUBTITLE = ""
SITEURL = ""
SITEDESCRIPTION = ""

CC_LICENSE_COMMERCIAL = True
CC_LICENSE = True

PATH = "./content"

TIMEZONE = "Europe/Paris"

DEFAULT_LANG = "fr"

# theme
THEME = "./theme/"
# Plugins
PLUGIN_PATHS = ["plugins"]
PLUGINS = [
    "i18n_subsites",
    "pdf-img",
]
# Readers
READERS = {"html": None}
# Everythings in french
JINJA_ENVIRONMENT = {"extensions": ["jinja2.ext.i18n"]}
# Default theme language.
I18N_TEMPLATES_LANG = "en"
# Your language.
DEFAULT_LANG = "fr"
OG_LOCALE = "fr"
LOCALE = ("fr", "fr_FR.utf8")

USE_GOOGLE_FONTS = False

# Pages, articles and static
PAGE_PATHS = ["pages"]
# ARTICLE_PATHS = ['pages/Enseignement', 'Blog']
ARTICLE_PATHS = ["blog"]
STATIC_PATHS = ["blog", "."]
INDEX_SAVE_AS = "blog_index.html"

# Feed generation is usually not desired when developing
FEED_ALL_ATOM = None
CATEGORY_FEED_ATOM = None
TRANSLATION_FEED_ATOM = None
AUTHOR_FEED_ATOM = None
AUTHOR_FEED_RSS = None

# Blogroll
LINKS = [
    ("2015-2016", "/enseignements/2015-2016/"),
    ("2016-2017", "/enseignements/2016-2017/"),
    ("2017-2018", "/enseignements/2017-2018/"),
    ("2018-2019", "/enseignements/2018-2019/"),
    ("2019-2020", "/enseignements/2019-2020/"),
    ("2020-2021", "/enseignements/2020-2021/"),
    ("2021-2022", "/enseignements/2021-2022/"),
]
# Social widget
SOCIAL = ()

DEFAULT_PAGINATION = 10

# Uncomment following line if you want document-relative URLs when developing
# RELATIVE_URLS = True
